Bug 436779 - GRUB not installed when installing over an existing partition layout with wrong partition types.
GRUB not installed when installing over an existing partition layout with wro...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Martin Sivák
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-10 09:57 EDT by Martin Sivák
Modified: 2009-01-09 02:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:43:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Sivák 2008-03-10 09:57:18 EDT
Description of problem:

When installing over an existing partition layout with wrong partition types.
Grub is NOT installed correctly and no error message is displayed.

How reproducible:

Manually create partition layout using wrong partition types. This situation
happened when the partition table was:

part type  filesystem description
sda1 NTFS  NTFS       Windows partition
sda2 FAT16 ext3       Remains of Arch linux /
sda3 FAT16 swap       Linux swap

There was working LILO installed to sda MBR (from the Arch linux instalation).

Steps to Reproduce:
1. Setup the situation described above
2. Install Fedora 8,
   use sda2 as / partition and sda3 as swap,
   select GRUB install to sda MBR
3. Reboot
  
Actual results:
Lilo was unable to do anything, GRUB wasn't installed but the
/boot/grub/menu.lst was correctly created.

Expected results:
Working F8 with GRUB as bootloader

Additional info:
This is my friend situation after F8 installation. The rescue part was done by
me and I think I pretty much figured out the situation correctly.

First, I tried to install grub manually, using rescue mode but without any fdisk
modifications and grub complained about unsupported partition type. So I guess
it is grub who is checking the partition type and not installing properly during
the F8 instalation.

I was able to solve it by using fdisk to change the partition types to 0x82,0x83
for Linux and Linux swap.
Then I again used grub command with:

root (hd0,1)
setup (hd0)

to install the bootloader.

Solution:
We should set the partition type for Linux partitions in anaconda.
Comment 1 Jeremy Katz 2008-03-10 14:04:08 EDT
We never explicitly set partition ids, instead, parted should be (generally)
doing the right thing...
Comment 2 Andy Lindeberg 2008-06-04 10:02:25 EDT
Have you encountered the same issue in Fedora 9?
Comment 3 Martin Sivák 2008-06-09 07:03:59 EDT
Well we didn't fix it and if the grub still insists on partition ids, it is
still broken. To test it, I would have to break the existing (correct) partition
ids again. But it should be still there.
Comment 4 Martin Sivák 2008-06-12 10:21:37 EDT
Hey! I know we didn't fix it, I'm in the anaconda team you know? I didn't have
time to retest it, but I will..  for that I have to keep that bug open, so I do
not forget.
Comment 5 Bug Zapper 2008-11-26 05:06:33 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Joel Andres Granados 2008-11-26 08:10:21 EST
(In reply to comment #1)
> We never explicitly set partition ids, instead, parted should be (generally)
> doing the right thing...

For the filesystem metadata in the partition the filesystem apps are taking care of that.  And thats how it should be, because telling parted that the partition is going to hold X or Y FS does ensure that that FS will get installed in said partition.
Additionally mkfs.FS is doing the right thing and changing the partition metadata when a filesyste is created.

Note also that for anaconda we do not use parted but libparted.  And pyparted is the one in charge of using this library.  Also note that pyparted is going through a rewrite.
Comment 7 Bug Zapper 2009-01-09 02:43:05 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.